Block Revisions
Schema
The schema defines all the fields that exist within a Block Revision record. Any response from these endpoints can be expected to contain the fields below unless the `_filter` query parameter is used or the schema field only appears in a specific context.
author |
The ID for the author of the revision.
JSON data type: integer Context: |
date |
The date the revision was published, in the site’s timezone.
JSON data type: string, Context: |
date_gmt |
The date the revision was published, as GMT.
JSON data type: string, Context: |
guid |
The globally unique identifier for the post.
JSON data type: object Read only Context: |
id |
Unique identifier for the revision.
JSON data type: integer Context: |
modified |
The date the revision was last modified, in the site’s timezone.
JSON data type: string, Context: |
modified_gmt |
The date the revision was last modified, as GMT.
JSON data type: string, Context: |
parent |
The ID for the parent of the revision.
JSON data type: integer Context: |
slug |
An alphanumeric identifier for the revision unique to its type.
JSON data type: string Context: |
title |
The title for the post.
JSON data type: object Context: |
content |
The content for the post.
JSON data type: object Context: |
List Block Revisions
Query this endpoint to retrieve a collection of Block Revisions. The response you receive can be controlled and filtered using the URL query parameters below.
Definition
GET /wp/v2/blocks/<parent>/revisions
Example Request
$ curl https://example.com/wp-json/wp/v2/blocks/<parent>/revisions
Arguments
parent |
The ID for the parent of the revision. |
context |
Scope under which the request is made; determines fields present in response.
Default: One of: |
page |
Current page of the collection.
Default: |
per_page |
Maximum number of items to be returned in result set. |
search |
Limit results to those matching a string. |
exclude |
Ensure result set excludes specific IDs. |
include |
Limit result set to specific IDs. |
offset |
Offset the result set by a specific number of items. |
order |
Order sort attribute ascending or descending.
Default: One of: |
orderby |
Sort collection by object attribute.
Default: One of: |
Retrieve a Block Revision
Definition & Example Request
GET /wp/v2/blocks/<parent>/revisions/<id>
Query this endpoint to retrieve a specific Block Revision record.
$ curl https://example.com/wp-json/wp/v2/blocks/<parent>/revisions/<id>
Arguments
parent |
The ID for the parent of the revision. |
id |
Unique identifier for the revision. |
context |
Scope under which the request is made; determines fields present in response.
Default: One of: |
Delete a Block Revision
Arguments
parent |
The ID for the parent of the revision. |
id |
Unique identifier for the revision. |
force |
Required to be true, as revisions do not support trashing. |
Definition
DELETE /wp/v2/blocks/<parent>/revisions/<id>
Example Request
$ curl -X DELETE https://example.com/wp-json/wp/v2/blocks/<parent>/revisions/<id>
Retrieve a Block Revision
Definition & Example Request
GET /wp/v2/blocks/<id>/autosaves
Query this endpoint to retrieve a specific Block Revision record.
$ curl https://example.com/wp-json/wp/v2/blocks/<id>/autosaves
Arguments
parent |
The ID for the parent of the autosave. |
context |
Scope under which the request is made; determines fields present in response.
Default: One of: |
Create a Block Revision
Arguments
parent |
The ID for the parent of the autosave. |
date |
The date the post was published, in the site’s timezone. |
date_gmt |
The date the post was published, as GMT. |
slug |
An alphanumeric identifier for the post unique to its type. |
status |
A named status for the post. One of: publish, future, draft, pending, private |
password |
A password to protect access to the content and excerpt. |
title |
The title for the post. |
content |
The content for the post. |
meta |
Meta fields. |
template |
The theme file to use to display the post. |
Definition
POST /wp/v2/blocks/<id>/autosaves
Retrieve a Block Revision
Definition & Example Request
GET /wp/v2/blocks/<parent>/autosaves/<id>
Query this endpoint to retrieve a specific Block Revision record.
$ curl https://example.com/wp-json/wp/v2/blocks/<parent>/autosaves/<id>
Arguments
parent |
The ID for the parent of the autosave. |
id |
The ID for the autosave. |
context |
Scope under which the request is made; determines fields present in response.
Default: One of: |
谢谢你的反馈!